---
features:
  primary:
  - name: "Display release notes on deployment details page"
    available_in: [core, premium, ultimate]
    gitlab_com: true
    add_ons: []
    documentation_link: 'https://docs.gitlab.com/ee/ci/environments/deployment_approvals.html#view-blocked-deployments'
    image_url: '/images/17_6/deploy-automatically-show-release-notes.png'
    reporter: nagyv-gitlab
    stage: deploy
    categories:
    - Continuous Delivery
    issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/493260'
    description: |
      Have you ever wondered what might be included in a deployment you've been asked to approve? In past versions, you could create a release with a detailed description about its content and instructions for testing, but the related environment-specific deployment did not show this data. We are happy to share that GitLab now displays the release notes under the related deployment details page.

      Because GitLab releases are always created from a Git tag, the release notes are shown only on deployments related to the tag-triggered pipeline.

      This feature was contributed to GitLab by [Anton Kalmykov](https://gitlab.com/antonkalmykov). Thank you!
